//
//  ViewController.swift
//  PageControl
//
//  Created by Keith Welch on 9/4/15.
//  Copyright © 2015 Keith Welch. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    @IBOutlet weak var image1: UIImageView!
    @IBOutlet weak var image2: UIImageView!
    @IBOutlet weak var image3: UIImageView!
    
    @IBOutlet weak var page: UIPageControl!
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    @IBAction func pageChanged(sender: UIPageControl) {
        switch (sender.currentPage)
        {
        case 0:
            image1.hidden = false
            image2.hidden = true
            image3.hidden = true
            break
        case 1:
            image1.hidden = true
            image2.hidden = false
            image3.hidden = true
            break
        case 2:
            image1.hidden = true
            image2.hidden = true
            image3.hidden = false
            break
        default:
            image1.hidden = false
            image2.hidden = true
            image3.hidden = true
            break
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

